import std.stdio;

import gameengine.core.engine;
import gameengine.math.types;
import gameengine.renderer.renderer;
import gameengine_rsdl;

import core.thread;

void main() {
	Renderer renderer = new RSDL("test", IntVec2(800, 600));
	Engine engine = new Engine(renderer);

	while (true) {
		engine.runNodeProcesses();
		renderer.clearScreen(Color(255, 0, 255, 255));
		renderer.renderCurrent();
		Thread.sleep(16.msecs);
	}
}
